# encoding: UTF-8

require 'redmine'
require 'dispatcher' unless Rails::VERSION::MAJOR >= 3

Redmine::Plugin.register :redmine_require_wiki_comment do
  name 'Require Wiki Comment plugin'
  author 'Ronald Tschalär'
  author_url 'mailto:ronald@innovation.ch'
  description "Plugin to require a comment on all wiki edits."
  version '0.1.0'
  requires_redmine :version_or_higher => '1.0.0'
end

if Rails::VERSION::MAJOR >= 3
  ActionDispatch::Callbacks.to_prepare do
    require 'wiki_content_patch'
  end
else
  Dispatcher.to_prepare :redmine_require_wiki_comment do
    require_dependency 'wiki_content_patch'
  end
end
